package cn.iocoder.yudao.module.museum.service.museumpicture;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.museum.controller.admin.museumpicture.vo.PictureGroupSaveVO;
import cn.iocoder.yudao.module.museum.controller.admin.museumpicture.vo.PicturePageReqVO;
import cn.iocoder.yudao.module.museum.dal.database.museumpicture.PictureGroupDO;
import org.springframework.stereotype.Service;

@Service
public interface PictureGroupService {
    /**
     * 创建图片
     * */
    Integer createPictureGroup(PictureGroupSaveVO saveVO);
    /**
     * 更改图片
     * */
    void updatePictureGroup(PictureGroupSaveVO saveVO);
    /**
     * 删除图片
     * */
    void deletePictureGroup(Integer id);
    /**
     * 查询图片
     * */
    PictureGroupDO selectPictureGroup(Integer id);

    PageResult<PictureGroupDO> getPictureGroupPage(PicturePageReqVO pageVO);
}